Basic gear mount point

This commit is contained in:
Christian Colglazier 2022-05-20 20:07:55 -04:00
parent 89b9dfbfd4
commit a290658736

View File

@ -15,6 +15,7 @@ lid_thicknesss = 5
offset=9 offset=9
part_thinkness=20 part_thinkness=20
gear_thinkness=10 gear_thinkness=10
large_gear_diameter=8.5
gap = stepper_motor_size * math.sin(math.radians(slant_degree)) / math.sin(math.radians(90-slant_degree)) gap = stepper_motor_size * math.sin(math.radians(slant_degree)) / math.sin(math.radians(90-slant_degree))
width = math.sqrt(gap**2 + stepper_motor_size**2 - 2*gap*stepper_motor_size*math.cos(math.radians(90))) width = math.sqrt(gap**2 + stepper_motor_size**2 - 2*gap*stepper_motor_size*math.cos(math.radians(90)))
@ -92,6 +93,12 @@ lid = lid.add(copy)
lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1]-offset-loop_thickness).circle(5).extrude(lid_thicknesss-wall_width) lid = lid.faces('>Z[1]').workplane().center(stepper_center[0], -stepper_center[1]-offset-loop_thickness).circle(5).extrude(lid_thicknesss-wall_width)
lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll() lid = lid.faces('>Z[0]').workplane().circle(5/2).cutThruAll()
gear_gap=0.2
base = base.faces('<Z[1]').workplane().center(21,20.15).circle(25).cutBlind(-gear_thinkness-gear_gap)
base = base.faces('<Z[2]').workplane().circle(11/2).extrude(-lid_thicknesss+wall_width)
gear_offset=0.5
base = base.faces('<Z[2]').workplane().circle(large_gear_diameter/2-gear_offset).extrude(gear_thinkness/2)
base = base.faces('<Z[2]').workplane().circle(2).cutBlind(-part_thinkness/2+wall_width)
# Render # Render
show_object(base, name='Follow Focus Base') show_object(base, name='Follow Focus Base')